Create or update Machine health report

View as Markdown

Add or update health report override for a specific Machine.

User must have authorization role with PROVIDER_ADMIN suffix.

Authentication

AuthorizationBearer
``` export JWT_BEARER_TOKEN="<jwt-bearer-token>" # Example org name: "acme-inc export ORG_NAME=<org-name> # Use the JWT bearer token in your API request auth header: curl -v -X GET -H "Content-Type: application/json" -H "Authorization: Bearer $JWT_BEARER_TOKEN" https://nico-rest-api.nico.svc.cluster.local/v2/org/$ORG_NAME/nico/user/current ```

Path parameters

orgstringRequired
Name of the Org
machineIdstringRequired
ID of the Machine

Request

This endpoint expects an object.
sourcestringRequired
Health report source.
modeenumRequired
How updates to this health report should be handled
successeslist of objectsOptional
Results from successful health probes for the Machine.
alertslist of objectsOptional
Results from failed health probes for the Machine.

Response

OK
sourcestring
Health report source.
modeenum
How this health report was updated
triggeredBystring
Person or system that triggered this health report.
observedAtdatetime

Date/time when the health report was observed.

successeslist of objects
Results from successful health probes for the Machine.
alertslist of objects
Results from failed health probes for the Machine.

Errors

400
Bad Request Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error